You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     c...@freebsd.org
Last committer: c...@freebsd.org
Ident:          $FreeBSD: head/sysutils/fusefs-lkl/Makefile 402096 2015-11-20 
18:44:53Z cem $
Log URL:        
http://beefy6.nyi.freebsd.org/data/101amd64-default/402112/logs/fusefs-lkl-4.3.0.log
Build URL:      
http://beefy6.nyi.freebsd.org/build.html?mastername=101amd64-default&build=402112
Log:

====>> Building sysutils/fusefs-lkl
build started at Sat Nov 21 08:10:36 UTC 2015
port directory: /usr/ports/sysutils/fusefs-lkl
building for: FreeBSD 101amd64-default-job-16 10.1-RELEASE-p24 FreeBSD 
10.1-RELEASE-p24 amd64
maintained by: c...@freebsd.org
Makefile ident:      $FreeBSD: head/sysutils/fusefs-lkl/Makefile 402096 
2015-11-20 18:44:53Z cem $
Poudriere version: 3.1.9
Host OSVERSION: 1100085
Jail OSVERSION: 1001000

---Begin Environment---
SHELL=/bin/csh
OSVERSION=1001000
UNAME_v=FreeBSD 10.1-RELEASE-p24
UNAME_r=10.1-RELEASE-p24
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/.m/101amd64-default/ref
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=fusefs-lkl-4.3.0
OLDPWD=/
PWD=/usr/local/poudriere/data/.m/101amd64-default/ref/.p/pool
MASTERNAME=101amd64-default
SCRIPTPREFIX=/usr/local/share/poudriere
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.9
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
MAKE=gmake XDG_DATA_HOME=/wrkdirs/usr/ports/sysutils/fusefs-lkl/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/sysutils/fusefs-lkl/work  
HOME=/wrkdirs/usr/ports/sysutils/fusefs-lkl/work TMPDIR="/tmp" SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/sysutils/fusefs-lkl/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/sysutils/fusefs-lkl/work  
HOME=/wrkdirs/usr/ports/sysutils/fusefs-lkl/work TMPDIR="/tmp" NO_PIE=yes 
SHELL=/bin/sh NO_LINT=YES ADDR2LINE="/usr/local/bin/addr2line" 
AR="/usr/local/bin/ar" AS="/usr/local/bin/as" CPPFILT="/usr/local/bin/c++filt" 
GPROF="/usr/local/bin/gprof" LD="/usr/local/bin/ld" NM="/usr/local/bin/nm" 
OBJCOPY="/usr/local/bin/objcopy" OBJDUMP="/usr/local/bin/objdump" 
RANLIB="/usr/local/bin/ranlib" READELF="/usr/local/bin/readelf" 
SIZE="/usr/local/bin/size" STRINGS="/usr/local/bin/strings" PREFIX=/usr/local  
LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="gcc48" CFLAGS="-O2 -pipe  
-fstack-protector -Wl,-rpath=/usr/local/lib/gcc48 -fno-strict-aliasing"  
CPP="cpp48" CPPFLAGS=""  LDFLAGS=" -fstack-protector 
-Wl,-rpath=/usr/local/lib/gcc48 -L/usr/local/lib/gcc48" LIBS=""  CXX="g++48" 
CXXFLAGS="-O2 -pipe -fstack-protector -Wl,-rpath=/usr/local/lib/gcc48 
-fno-strict-aliasing  -Wl,-rpath=/
 usr/local/lib/gcc48"  MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s 
-m 555"  BSD_INSTALL_LIB="install  -s -m 444"  BSD_INSTALL_SCRIPT="install  -m 
555"  BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
OSREL=10.1
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
DOCSDIR="share/doc/lkl"
EXAMPLESDIR="share/examples/lkl"
DATADIR="share/lkl"
WWWDIR="www/lkl"
ETCDIR="etc/lkl"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/lkl
DOCSDIR=/usr/local/share/doc/lkl
EXAMPLESDIR=/usr/local/share/examples/lkl
WWWDIR=/usr/local/www/lkl
ETCDIR=/usr/local/etc/lkl
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
=======================<phase: check-sanity   >============================
===>  License GPLv2 accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   fusefs-lkl-4.3.0 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.6.1_2.txz
[101amd64-default-job-16] Installing pkg-1.6.1_2...
[101amd64-default-job-16] Extracting pkg-1.6.1_2: .......... done
Message from pkg-1.6.1_2:
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   fusefs-lkl-4.3.0 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of fusefs-lkl-4.3.0
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License GPLv2 accepted by the user
=> lkl-linux-4.3.0-64a367f522c6ec4fbed0193589d7733b06ab7968_GH0.tar.gz doesn't 
seem to exist in /portdistfiles/.
=> Attempting to fetch 
http://lkl.googlecode.com/files/lkl-linux-4.3.0-64a367f522c6ec4fbed0193589d7733b06ab7968_GH0.tar.gz
fetch: 
http://lkl.googlecode.com/files/lkl-linux-4.3.0-64a367f522c6ec4fbed0193589d7733b06ab7968_GH0.tar.gz:
 Not Found
=> Attempting to fetch 
https://codeload.github.com/lkl/linux/tar.gz/64a367f522c6ec4fbed0193589d7733b06ab7968?dummy=/lkl-linux-4.3.0-64a367f522c6ec4fbed0193589d7733b06ab7968_GH0.tar.gz
fetch: 
https://codeload.github.com/lkl/linux/tar.gz/64a367f522c6ec4fbed0193589d7733b06ab7968?dummy=/lkl-linux-4.3.0-64a367f522c6ec4fbed0193589d7733b06ab7968_GH0.tar.gz:
 size unknown
fetch: 
https://codeload.github.com/lkl/linux/tar.gz/64a367f522c6ec4fbed0193589d7733b06ab7968?dummy=/lkl-linux-4.3.0-64a367f522c6ec4fbed0193589d7733b06ab7968_GH0.tar.gz:
 size of remote file is not known
lkl-linux-4.3.0-64a367f522c6ec4fbed0193589d7733b06ab7968_GH0.ta           0  B  
  0  Bps
===> Fetching all distfiles required by fusefs-lkl-4.3.0 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by fusefs-lkl-4.3.0 for building
=> SHA256 Checksum OK for 
lkl-linux-4.3.0-64a367f522c6ec4fbed0193589d7733b06ab7968_GH0.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by fusefs-lkl-4.3.0 for building
===>  Extracting for fusefs-lkl-4.3.0
=> SHA256 Checksum OK for 
lkl-linux-4.3.0-64a367f522c6ec4fbed0193589d7733b06ab7968_GH0.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for fusefs-lkl-4.3.0
===>  Applying FreeBSD patches for fusefs-lkl-4.3.0
===========================================================================
=======================<phase: build-depends  >============================
===>   fusefs-lkl-4.3.0 depends on package: gnubc>0 - not found
===>   Installing existing package /packages/All/gnubc-1.06_3.txz
[101amd64-default-job-16] Installing gnubc-1.06_3...
[101amd64-default-job-16] `-- Installing indexinfo-0.2.4...
[101amd64-default-job-16] `-- Extracting indexinfo-0.2.4: .... done
[101amd64-default-job-16] `-- Installing libedit-3.1.20150325_1...
[101amd64-default-job-16] `-- Extracting libedit-3.1.20150325_1: .......... done
[101amd64-default-job-16] Extracting gnubc-1.06_3: .......... done
===>   fusefs-lkl-4.3.0 depends on package: gnubc>0 - found
===>   Returning to build of fusefs-lkl-4.3.0
===>   fusefs-lkl-4.3.0 depends on executable: gmake - not found
===>   Installing existing package /packages/All/gmake-4.1_2.txz
[101amd64-default-job-16] Installing gmake-4.1_2...
[101amd64-default-job-16] `-- Installing gettext-runtime-0.19.6...
[101amd64-default-job-16] `-- Extracting gettext-runtime-0.19.6: .......... done
[101amd64-default-job-16] Extracting gmake-4.1_2: .......... done
===>   fusefs-lkl-4.3.0 depends on executable: gmake - found
===>   Returning to build of fusefs-lkl-4.3.0
===>   fusefs-lkl-4.3.0 depends on executable: gcc48 - not found
===>   Installing existing package /packages/All/gcc-4.8.5.txz
[101amd64-default-job-16] Installing gcc-4.8.5...
[101amd64-default-job-16] `-- Installing mpc-1.0.3...
[101amd64-default-job-16] |   `-- Installing gmp-5.1.3_2...
[101amd64-default-job-16] |   `-- Extracting gmp-5.1.3_2: .......... done
[101amd64-default-job-16] |   `-- Installing mpfr-3.1.2_2...
[101amd64-default-job-16] |   `-- Extracting mpfr-3.1.2_2: .......... done
[101amd64-default-job-16] `-- Extracting mpc-1.0.3: ...... done
[101amd64-default-job-16] `-- Installing binutils-2.25.1...
[101amd64-default-job-16] `-- Extracting binutils-2.25.1: .......... done
[101amd64-default-job-16] `-- Installing gcc-ecj-4.5...
[101amd64-default-job-16] `-- Extracting gcc-ecj-4.5: . done
[101amd64-default-job-16] Extracting gcc-4.8.5: .......... done
Message from gcc-4.8.5:
To ensure binaries built with this toolchain find appropriate versions
of the necessary run-time libraries, you may want to link using

  -Wl,-rpath=/usr/local/lib/gcc48

For ports leveraging USE_GCC, USES=compiler, or USES=fortran this happens
transparently.
===>   fusefs-lkl-4.3.0 depends on executable: gcc48 - found
===>   Returning to build of fusefs-lkl-4.3.0
===>   fusefs-lkl-4.3.0 depends on file: /usr/local/bin/as - found
===========================================================================
=======================<phase: lib-depends    >============================
===>   fusefs-lkl-4.3.0 depends on shared library: libfuse.so - not found
===>   Installing existing package /packages/All/fusefs-libs-2.9.4.txz
[101amd64-default-job-16] Installing fusefs-libs-2.9.4...
[101amd64-default-job-16] Extracting fusefs-libs-2.9.4: .......... done
Message from fusefs-libs-2.9.4:
Install the fuse kernel module to use this port.
===>   fusefs-lkl-4.3.0 depends on shared library: libfuse.so - found 
(/usr/local/lib/libfuse.so)
===>   Returning to build of fusefs-lkl-4.3.0
===>   fusefs-lkl-4.3.0 depends on shared library: libfuse.so - found 
(/usr/local/lib/libfuse.so)
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for fusefs-lkl-4.3.0
===========================================================================
=======================<phase: build          >============================
===>  Building for fusefs-lkl-4.3.0
gmake[1]: Entering directory 
'/wrkdirs/usr/ports/sysutils/fusefs-lkl/work/linux-64a367f522c6ec4fbed0193589d7733b06ab7968/tools/lkl'
gmake -C ../.. ARCH=lkl LDFLAGS= defconfig
gmake[2]: Entering directory 
'/wrkdirs/usr/ports/sysutils/fusefs-lkl/work/linux-64a367f522c6ec4fbed0193589d7733b06ab7968'
ld: unrecognized option '-print-output-format'
ld: use the --help option for usage information
ld: unrecognized option '-print-output-format'
ld: use the --help option for usage information
ld: unrecognized option '-print-output-format'
ld: use the --help option for usage information
arch/lkl/Makefile:12: *** Unrecognized platform: .  Stop.
gmake[2]: Leaving directory 
'/wrkdirs/usr/ports/sysutils/fusefs-lkl/work/linux-64a367f522c6ec4fbed0193589d7733b06ab7968'
Makefile:43: recipe for target 'lib/lkl.o' failed
gmake[1]: *** [lib/lkl.o] Error 2
gmake[1]: Leaving directory 
'/wrkdirs/usr/ports/sysutils/fusefs-lkl/work/linux-64a367f522c6ec4fbed0193589d7733b06ab7968/tools/lkl'
*** Error code 1

Stop.
make: stopped in /usr/ports/sysutils/fusefs-lkl
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to